local AddonName, a = ...
if a.BuildFail(50000) then return end
local L = a.Localize
local s = SpellFlashAddon
local x = s.UpdatedVariables
local spec

-- SpellFlash API:
-- http://wow.curseforge.com/addons/spellflash/pages/api/

-- Updated variable references:
-- http://wow.curseforge.com/addons/spellflash/pages/api/#w-local-x-spell-flash-addon-updated-variables
-- x.Enemy, x.ActiveEnemy, x.NoCC, x.InInstance, x.InstanceType, x.PetAlive, x.PetActiveEnemy, x.PetNoCC, x.Lag, x.DoubleLag, x.ThreatPercent, x.EnemyDetected, x.ShouldPermanentBuff, x.ShouldTemporaryBuff


-- Use this single spam function and remove the multiple spam table below, or just use the multiple spam table below and leave this function in place.
a.SetSpamFunction(function() a.RunSpamTable()
	
	spec = s.Spec()
	a.Flash("Aspect of the Hawk")
	a.Flash("Aspect of the Fox while moving")
	a.Flash("Hunter's Mark")
	a.Flash("Call Pet")
	a.Flash("Mend Pet")
	a.Flash("Pet Attack")
	a.Flash("Pet Assist")
	a.Flash("Disengage when movement impaired")
	a.Flash("Silencing Shot")
	if spec == 1 then
		-- BM
		a.Flash("Auto Shot",
		        "Explosive Trap (AoE)",
		        "Focus Fire at 5 stacks",
				"Serpent Sting if not ticking",
				"Bestial Wrath if focus > 60",
				"Glaive Toss",
				"Dire Beast",
				"Multi-Shot (AoE)",
				"Cobra Shot (AoE)",
				"Kill Shot",
				"Stampede",
				"Rapid Fire without Haste buffs and without The Beast Within",
				"A Murder of Crows with The Beast Within",
				"Kill Command",
				"Arcane Shot with Thrill of the Hunt",
				"Readiness after Rapid Fire",
				"Arcane Shot if focus >= 69 or The Beast Within up",
				"Cobra Shot")
	elseif spec == 2 then
		-- MM
		a.Flash("Auto Shot",
		        "Explosive Trap (AoE)",
				"Glaive Toss",
				"Multi-Shot (AoE)",
				"Steady Shot (AoE)",
				"Serpent Sting if not ticking and target HP <= 90%",
				"Chimera Shot if target HP <= 90%",
				"Dire Beast",
				"Stampede",
				"Rapid Fire without Haste buffs or TTD <= 30",
				"Readiness after Rapid Fire",
				"Steady Shot with Steady Focus < 3",
				"Kill Shot",
				"Aimed Shot with Master Marksman",
				"A Murder of Crows",
				"Aimed Shot over 90% HP",
				"Aimed Shot as focus dump when hasted",
				"Arcane Shot as focus dump when not hasted",
				"Steady Shot")
	elseif spec == 3 then
		-- SV
		a.Flash("Auto Shot",
		        "Explosive Trap (AoE)",
				"Glaive Toss",
				"Multi-Shot (AoE)",
				"Cobra Shot (AoE)",
				"Serpent Sting if not ticking and TTD  >= 10",
				"Explosive Shot",
				"A Murder of Crows",
				"Kill Shot",
				"Black Arrow",
				"Dire Beast",
				"Stampede",
				"Rapid Fire without Haste buffs",
				"Readiness after Rapid Fire",
				"Arcane Shot if focus >= 67",
				"Cobra Shot")
	else
		print("no active Spec")
	end
end)

